[SECURITY] [DLA 1567-1] gthumb security update

2018-11-05T16:43:23
ID DEBIAN:DLA-1567-1:1F7FE
Type debian
Reporter Debian
Modified 2018-11-05T16:43:23

Description

Package : gthumb Version : 3:3.3.1-2.1+deb8u1 CVE ID : CVE-2018-18718 Debian Bug : #912290

CVE-2018-18718 - CWE-415: Double Free The product calls free() twice on the same memory address, potentially leading to modification of unexpected memory locations.

There is a suspected double-free bug with static void add_themes_from_dir() dlg-contact-sheet.c. This method involves two successive calls of g_free(buffer) (line 354 and 373), and is likely to cause double-free of the buffer. One possible fix could be directly assigning the buffer to NULL after the first call of g_free(buffer). Thanks Tianjun Wu https://gitlab.gnome.org/GNOME/gthumb/issues/18

For Debian 8 "Jessie", this problem has been fixed in version 3:3.3.1-2.1+deb8u1

We recommend that you upgrade your gthumb packages.

Further information about Debian LTS security advisories, how to apply these updates to your system and frequently asked questions can be found at: https://wiki.debian.org/LTS